Bug 810245 - RHEL-6.1 treeinfo incorrect on cdn.rcm-qa
Summary: RHEL-6.1 treeinfo incorrect on cdn.rcm-qa
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: releng
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Dennis Gregorovic
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-05 13:06 UTC by James Laska
Modified: 2013-09-02 07:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 14:59:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2012:0971 0 normal SHIPPED_LIVE redhat-release enhancement update for Red Hat Enterprise Linux 6.3 2012-06-19 19:50:37 UTC

Description James Laska 2012-04-05 13:06:00 UTC
Using CloudForms SystemEngine, I initiated a sync from cdn.rcm-qa for RHEL6.1 and observed the following sync errors.  Is this just an old boot.iso?

There were errors syncing repository 'Red Hat Enterprise Linux 6 Serve RPMs x86_64 6.1'
 * md5_missmatch on http://cdn.rcm-qa.redhat.com/content/dist/rhel/server/6/6.1/x86_64/os/images/boot.iso

There were errors syncing repository 'Red Hat Enterprise Linux 6 Server RPMs i386 6.1'
 * md5_missmatch on http://cdn.rcm-qa.redhat.com/content/dist/rhel/server/6/6.1/i386/os/images/boot.iso

The file 'http://cdn.rcm-qa.redhat.com/content/dist/rhel/server/6/6.1/i386/os/treeinfo' reports the following sha256sum:
> [checksums]
> images/boot.iso = sha256:9a4980bc273da004e2160f2e0e81f1e159b67bb8cb6783d947f5ca3574b77b19

However, the 'sha256sum' command reports ...
d7cf7e76408914f6fa4f92cc09b409fcf864d5155c694fbf1675e56c3b5a9b29  boot.iso

Comment 2 Dennis Gregorovic 2012-04-05 16:02:30 UTC
This is due to a bug 726370 in distill, which was fixed in RHEL 6.2.  The boot.iso on cdn is correct.  It's the treeinfo that is wrong.  I'm guessing you need treeinfo updated?

Comment 3 James Laska 2012-04-05 16:30:52 UTC
(In reply to comment #2)
> This is due to a bug 726370 in distill, which was fixed in RHEL 6.2.  The
> boot.iso on cdn is correct.  It's the treeinfo that is wrong.  I'm guessing you
> need treeinfo updated?

Hey Dennis, yeah ... sounds like a correct/updated treeinfo would work nicely.

Comment 4 Dennis Gregorovic 2012-04-09 00:40:59 UTC
This should be fixed now.

Comment 8 Alexander Todorov 2012-04-11 08:07:33 UTC
(In reply to comment #0)


>  * md5_missmatch on
> http://cdn.rcm-qa.redhat.com/content/dist/rhel/server/6/6.1/x86_64/os/images/boot.iso
>

# sha256sum boot.iso 
91f1ff57787b5885561095a217eed2ef06a438a9f56a5c3aed24551b1afa06be  boot.iso

# grep boot.iso treeinfo 
boot.iso = images/boot.iso
images/boot.iso = sha256:91f1ff57787b5885561095a217eed2ef06a438a9f56a5c3aed24551b1afa06be


 
> There were errors syncing repository 'Red Hat Enterprise Linux 6 Server RPMs
> i386 6.1'
>  * md5_missmatch on
> http://cdn.rcm-qa.redhat.com/content/dist/rhel/server/6/6.1/i386/os/images/boot.iso
> 
> The file
> 'http://cdn.rcm-qa.redhat.com/content/dist/rhel/server/6/6.1/i386/os/treeinfo'
> reports the following sha256sum:
> > [checksums]
> > images/boot.iso = sha256:9a4980bc273da004e2160f2e0e81f1e159b67bb8cb6783d947f5ca3574b77b19
> 


# sha256sum boot.iso 
d7cf7e76408914f6fa4f92cc09b409fcf864d5155c694fbf1675e56c3b5a9b29  boot.iso

# grep boot.iso treeinfo 
boot.iso = images/boot.iso
images/boot.iso = sha256:d7cf7e76408914f6fa4f92cc09b409fcf864d5155c694fbf1675e56c3b5a9b29

Comment 9 James Laska 2012-05-03 18:06:22 UTC
This has been VERIFIED against cdn.rcm-qa.redhat.com.

However, I believe cdn.redhat.com is still broken...

> failed to sync: 
> md5_missmatch on https://cdn.redhat.com/content/dist/rhel/server/6/6.1/x86_64/os/images/boot.iso
> md5_missmatch on https://cdn.redhat.com/content/dist/rhel/server/6/6.1/i386/os/images/boot.iso

Comment 10 Dennis Gregorovic 2012-05-04 18:20:26 UTC
Please try again.  I've pushed out new treeinfo files.

Comment 12 James Laska 2012-05-11 19:15:48 UTC
(In reply to comment #10)
> Please try again.  I've pushed out new treeinfo files.

VERIFIED against cdn.redhat.com

Comment 13 errata-xmlrpc 2012-06-20 14:59:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-0971.html


Note You need to log in before you can comment on or make changes to this bug.